Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.filterencoding
Class Function

    java.lang.Object
      org.deegree.model.filterencoding.Expression
          org.deegree.model.filterencoding.Function

Direct Known Subclasses:
  DBFunction, FunctionNormalize, FunctionSoundex

    public abstract class Function

extends Expression

Encapsulates the information of a `Function`element as defined in the Expression DTD.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider, last edited by: $Author: mschneider $

Field Summary
`protected List<Expression>` | `args` The Function's arguments.
`protected String` | `name` The Function's name (as specified in it's name attribute).

Fields inherited from class org.deegree.model.filterencoding.Expression
`id`

Constructor Summary
`protected` | `Function()`
`` | `Function(String name, List<Expression> args)` Constructs a new Function.

Method Summary
`static Expression` | `buildFromDOM(Element element)` Given a DOM-fragment, a corresponding Expression-object is built.
`abstract Object` | `evaluate(Feature feature)` Returns the `Function`'s value (to be used in the evaluation of a complexer `Expression`).
`List<Expression>` | `getArguments()` returns the arguments of the function
`int` | `getExpressionId()`
`String` | `getName()` Returns the Function's name.
`void` | `setArguments(List<Expression> args)`
`void` | `setName(String name)`
`StringBuffer` | `toXML()` Produces an indented XML representation of this object.

Methods inherited from class org.deegree.model.filterencoding.Expression
`getExpressionName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

  The Function's name (as specified in it's name attribute).

### args

    protected List<Expression> args

  The Function's arguments.

Constructor Detail

### Function

    protected Function()

### Function

    public Function(String name,
                    List<Expression> args)

  Constructs a new Function.

  Parameters:
    `name` -
    `args` -

Method Detail

### setArguments

    public void setArguments(List<Expression> args)

  Parameters:
    `args` -

### buildFromDOM

    public static Expression buildFromDOM(Element element)
                                   throws FilterConstructionException

  Given a DOM-fragment, a corresponding Expression-object is built. This method recursively calls other buildFromDOM () - methods to validate the structure of the DOM-fragment.

  Throws:
    `FilterConstructionException` - if the structure of the DOM-fragment is invalid

### getName

    public String getName()

  Returns the Function's name.

  Returns:
    functions name

### setName

    public void setName(String name)

  Parameters:
    `name` -
  See Also:
    `getName()`

### getArguments

    public List<Expression> getArguments()

  returns the arguments of the function

  Returns:
    arguments of the function

### getExpressionId

    public int getExpressionId()

  Overrides:
    `getExpressionId` in class `Expression`
  Returns:
    the expression's id.
  See Also:
    `ExpressionDefines`

### evaluate

    public abstract Object evaluate(Feature feature)
                             throws FilterEvaluationException

  Returns the `Function`'s value (to be used in the evaluation of a complexer `Expression`).

  Specified by:
    `evaluate` in class `Expression`
  Parameters:
    `feature` - that determines the concrete values of `PropertyNames` found in the expression
  Returns:
    the resulting value
  Throws:
    `FilterEvaluationException` - if the evaluation fails

### toXML

    public StringBuffer toXML()

  Produces an indented XML representation of this object.

  Specified by:
    `toXML` in class `Expression`
  Returns:
    xml representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org